Skip to content

CardDefault⁠

Perform various operations for Symitar parameters.

Operations⁠

getCardDefault⁠

POST

Retrieve CardDefault parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CardDefaultCardTypeintegerrequired
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/parameter/getCardDefault
POST /nexum/627/2022.01/parameter/getCardDefault HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  },
  "CardDefaultCardType": 0
}

getCardDefaultSelectFields⁠

POST

Retrieve CardDefault parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CardDefaultCardTypeintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/parameter/getCardDefaultSelectFields
POST /nexum/627/2022.01/parameter/getCardDefaultSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  },
  "CardDefaultCardType": 0,
  "SelectableFields": {
    "IncludeAllCardDefaultFields": true
  }
}

getCardDefaultPagedList⁠

POST

Retrieve CardDefault parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/parameter/getCardDefaultPagedList
POST /nexum/627/2022.01/parameter/getCardDefaultPagedList HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "REPLACE_WITH_YOUR_TOKEN"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getCardDefaultListSelectFields⁠

POST

Retrieve CardDefault parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/parameter/getCardDefaultListSelectFields
POST /nexum/627/2022.01/parameter/getCardDefaultListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  },
  "SelectableFields": {
    "IncludeAllCardDefaultFields": true
  }
}

searchCardDefaultSelectFields⁠

POST

Search CardDefault parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/parameter/searchCardDefaultSelectFields
POST /nexum/627/2022.01/parameter/searchCardDefaultSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "SelectableFields": {
    "IncludeAllCardDefaultFields": true
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getCardDefaultPagedListSelectFields⁠

POST

Retrieve CardDefault parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/parameter/getCardDefaultPagedListSelectFields
POST /nexum/627/2022.01/parameter/getCardDefaultPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllCardDefaultFields": true
  }
}